cmake_minimum_required(VERSION 3.15)

include(FetchContent)

set(BUILD_APPS OFF)
set(OPENMESH_DOCS OFF)
FetchContent_Declare(
  OpenMesh
  URL https://www.graphics.rwth-aachen.de/media/openmesh_static/Releases/8.1/OpenMesh-8.1.tar.gz
  URL_HASH MD5=9e1eb6feeca3882ab95f9fc97681a4da)

FetchContent_MakeAvailable(OpenMesh)
target_compile_definitions(OpenMeshCoreStatic INTERFACE OM_STATIC_BUILD)
